## g2clib 1.2.2

=== debian/changelog ===
g2clib (1.2.2-2) unstable; urgency=low

  * Fix to build with libpng15. Closes: #650486.
  * Now require pkg-config to build, as we use it to detect the appropriate
    png library at build-time.
  * Make Multi-Arch. 
  * Add DEP-3 headers to all patches.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Nov 2011 12:32:27 +0000

g2clib (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Move to source format 3, dh rules.
  * Standards-Version: 3.9.2.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Apr 2011 12:23:55 +0100

g2clib (1.1.9-1) unstable; urgency=low

  * New upstream release. Closes: #547282.
  * Standards-Version: 3.8.3. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2009 14:34:30 +0100

g2clib (1.1.8-1) unstable; urgency=low

  * Initial release. (Closes: #531959).
  * Debian/copyright contains statement on public-domain nature of code.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jul 2009 19:56:18 +0100
