=== debian/control ===
Source: g2clib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper  (>= 7.0.50~), gfortran, libjasper-dev, libpng-dev, zlib1g-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/

Package: libgrib2c0d
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: NCEP GRIB2 encoder/decoder library
 This is the libgrib2c library from NCEP for encoding and decoding 'GRIB2'
 data formats. 

Package: libgrib2c-dev
Section: libdevel
Architecture: any
Depends: libgrib2c0d ( = ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Recommends: pkg-config
Description: NCEP GRIB2 library - development files
 This is the libgrib2c library from NCEP for encoding and
 decoding 'GRIB2' data formats.
 .
 This package contains the static libraries and headers needed to build 
 applications against libgrib2.
