=== debian/rules ===
#!/usr/bin/make -f

# magic debhelper rule
%:
	dh $@

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)


#export DH_VERBOSE=1

override_dh_auto_install:
	$(MAKE) prefix=$(DESTDIR)/usr LIBDIR=$(DESTDIR)/$(LIBDIR)  install
	dh_link -p libgrib2c-dev $(LIBDIR)/libgrib2c.so.0d        $(LIBDIR)/libgrib2c.so
