## g2clib 1.4.0

=== debian/changelog ===
g2clib (1.4.0-2) unstable; urgency=medium

  * Standards-Version: 3.9.5
  * Add prototypes for g2_unpack*() used in python-grib, to grib.h
    to fix implicit declarations 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Dec 2013 23:28:24 +0000

g2clib (1.4.0-1) unstable; urgency=low

  * New upstream.
  * Add watch file.
  * Now at Standards-Version: 3.9.4 
  * Add flags to harden library.
  * Ensure it can build twice-in-a-row: clean binaries in rules
  * Ensure static lib is shipped in -dev file. Closes: #701547

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 May 2013 19:45:05 +0100
