=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper  (>= 7.0.50~), gfortran, libjasper-dev, libpng-dev, zlib1g-dev, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper  (>= 9), gfortran, libjasper-dev, libpng-dev, zlib1g-dev, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/
 
 Package: libgrib2c0d
