=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 
 #export DH_VERBOSE=1
 
+override_dh_auto_clean:
+	rm -f *.o *.a libgrib2c.so.0d *.pc
+	dh_clean
+
 override_dh_auto_install:
 	$(MAKE) prefix=$(DESTDIR)/usr LIBDIR=$(DESTDIR)/$(LIBDIR)  install
 	dh_link -p libgrib2c-dev $(LIBDIR)/libgrib2c.so.0d        $(LIBDIR)/libgrib2c.so
