=== debian/watch ===
version=3
http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/g2clib-(.+)\.tar
