## g2clib 1.6.0

=== debian/changelog ===
g2clib (1.6.0-9build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:20:15 +0000

g2clib (1.6.0-9) unstable; urgency=medium

  * Rename openjpeg-2.2 to openjpeg-2.3. Closes: #878813
  * Standdards-Version: 4.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Oct 2017 08:57:29 +0100

g2clib (1.6.0-8) unstable; urgency=medium

  * /usr/include/openjpeg-2.1 renamed openjpeg-2.2. Change include
    Closes: 876806.
  * Standards-Version: 4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Sep 2017 06:37:55 +0100

g2clib (1.6.0-7) unstable; urgency=medium

  * Fix invalid dir in grib2c.pc. Closes: #860277.
    Thanks to Chris Lamb
  * Change Libs.private: link against libopenjp2 not libjasper

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Apr 2017 18:00:14 +0100

g2clib (1.6.0-6) unstable; urgency=medium

  * Don't build in parallel. Closes: #848732

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Dec 2016 10:04:51 +0000

g2clib (1.6.0-5) unstable; urgency=medium

  * Now use openjpeg2 for compression/decompression.
  * Use debhelper 10.
  * Patch for 64-bit int (segfaults on SEVIRI files) Closes: #823226

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Dec 2016 18:42:19 +0000

g2clib (1.6.0-4) unstable; urgency=medium

  * Remove jp*pack as JPEG2000 not supported without jasper/openjpeg

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Jun 2016 08:14:45 +0100

g2clib (1.6.0-3) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * Remove libjasper from g2clib. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 May 2016 08:19:00 +0100

g2clib (1.6.0-2) unstable; urgency=medium

  * Ship other headers *templates.h in libgrib2c-dev package
  * Drop -m64 which breaks most architecture builds 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Mar 2016 10:18:12 +0000

g2clib (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 compliant

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Feb 2016 14:16:59 +0000
