=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper  (>= 9), gfortran, libjasper-dev, libpng-dev, zlib1g-dev, pkg-config
-Standards-Version: 3.9.5
+Build-Depends: debhelper  (>= 10), gfortran, libpng-dev, zlib1g-dev, pkg-config,
+ libopenjp2-7-dev 
+Standards-Version: 4.1.1
 Homepage: http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/
 
 Package: libgrib2c0d
