=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_OPTIONS=parallel=1

# magic debhelper rule
%:
	dh $@ --no-parallel

DESTDIR:=$(CURDIR)/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)


#export DH_VERBOSE=1

override_dh_auto_clean:
	rm -f *.o *.a libgrib2c.so.0d *.pc
	dh_clean

override_dh_auto_install:
	$(MAKE) prefix=$(DESTDIR)/usr LIBDIR=$(DESTDIR)/$(LIBDIR)  install
	sed -i -e 's@libdir=$(DESTDIR)/@libdir=@g' $(DESTDIR)/$(LIBDIR)/pkgconfig/grib2c.pc  # Strip build path
	mv $(DESTDIR)/$(LIBDIR)/./libg2c_v1.6.0.a $(DESTDIR)/$(LIBDIR)/libgrib2c.a
	dh_link -p libgrib2c-dev $(LIBDIR)/libgrib2c.so.0d        $(LIBDIR)/libgrib2c.so
