## g2clib 1.6.2

=== debian/changelog ===
g2clib (1.6.2-2) unstable; urgency=medium

  * Regression: drop -m64 as breaks most archs

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Dec 2020 16:28:45 +0000

g2clib (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Drop DEB_BUILD_OPTIONS from debian/rules
  * Standards-Version: 4.5.1
  * Now use debhelper-compat (= 13)
  * Drop Pre-Depends, no longer needed
  * Use pkgconfig rather than hardcoded include path
  * Drop depends on gfortran. not used.
  * Move to https for Homepage
  * Add references to salsa page to d/control
  * Add d/gbb.conf to point to DEP-14 branches
  * Drop hard-coded 'xz' compression

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Dec 2020 12:38:08 +0000
