=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper  (>= 10), gfortran, libpng-dev, zlib1g-dev, pkg-config,
+Build-Depends: debhelper-compat  (= 13), 
+ libpng-dev, 
+ zlib1g-dev, 
+ pkg-config,
  libopenjp2-7-dev 
-Standards-Version: 4.1.1
-Homepage: http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/
+Standards-Version: 4.5.1
+Homepage: https://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/
+Vcs-Browser: https://salsa.debian.org:/science-team/g2clib.git
+Vcs-Git: https://salsa.debian.org:/science-team/g2clib.git -b debian/latest
 
 Package: libgrib2c0d
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: NCEP GRIB2 encoder/decoder library
  This is the libgrib2c library from NCEP for encoding and decoding 'GRIB2'
