## g2clib 1.6.3

=== debian/changelog ===
g2clib (1.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Mar 2021 12:46:40 +0000
