## g2clib 1.6.4

=== debian/changelog ===
g2clib (1.6.4-3) unstable; urgency=medium

  * Drop real.3 manpage; redundant alias conflicts with other pages.
    Closes: #1011424
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Jun 2022 09:12:08 +0100

g2clib (1.6.4-2) unstable; urgency=medium

  * Add Breaks/Replaces libgrib2c-dev to libg2c-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 May 2022 12:07:53 +0100

g2clib (1.6.4-1) experimental; urgency=medium

  * New upstream release
  * Library renamed to g2c upstream
    - Renamed binary packages to libg2c{0d,-dev}
    - Added symlink libgrib2c.so -> libg2c.so for transition
  * Home page moved to https://github.com/NOAA-EMC/NCEPLIBS-g2c
  * Standards-Version: 4.6.0
  * Update watch file to github
  * Move to cmake-based build system,

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 May 2022 12:15:51 +0100
