=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat  (= 13), 
+ cmake,
  libpng-dev, 
  zlib1g-dev, 
  pkg-config,
+ doxygen,
  libopenjp2-7-dev 
-Standards-Version: 4.5.1
-Homepage: https://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/
+Standards-Version: 4.6.1
+Homepage: https://github.com/NOAA-EMC/NCEPLIBS-g2c
 Vcs-Browser: https://salsa.debian.org:/science-team/g2clib.git
 Vcs-Git: https://salsa.debian.org:/science-team/g2clib.git -b debian/latest
 
-Package: libgrib2c0d
+Package: libg2c0d
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -21,10 +23,12 @@
  This is the libgrib2c library from NCEP for encoding and decoding 'GRIB2'
  data formats. 
 
-Package: libgrib2c-dev
+Package: libg2c-dev
 Section: libdevel
 Architecture: any
-Depends: libgrib2c0d ( = ${binary:Version}), ${misc:Depends}
+Depends: libg2c0d ( = ${binary:Version}), ${misc:Depends}
+Breaks: libgrib2c-dev
+Replaces: libgrib2d-dev
 Multi-Arch: same
 Recommends: pkg-config
 Description: NCEP GRIB2 library - development files
