=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ --buildsystem=cmake --builddirectory=debian/build

DESTDIR:=$(CURDIR)/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure  -- \
		-DUSE_Jasper=OFF \
		-DUSE_OpenJPEG=On \
		-DENABLE_DOCS=On


override_dh_auto_install:
	dh_auto_install
	mv $(DESTDIR)/$(LIBDIR)/libg2c_static.a $(DESTDIR)/$(LIBDIR)/libg2c.a
	# Transitional temporary link
	dh_link -p libg2c-dev $(LIBDIR)/libg2c.so           $(LIBDIR)/libgrib2c.so
	# See #1011424
	rm -f ./debian/build/docs/man/man3/real.3
