## g2clib 1.7.0

=== debian/changelog ===
g2clib (1.7.0-3) unstable; urgency=medium

  * Typo: Replaces: libgrib2c-dev not libgrib2d-dev. Closes: #1034962

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Apr 2023 16:30:55 +0100

g2clib (1.7.0-2) unstable; urgency=medium

  * Fix for FTBFS on i386 thanks to Adrian  Bunk. Closes: #1022262

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Nov 2022 11:40:59 +0000

g2clib (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Build without docs for now; crashes making docs

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2022 13:30:22 +0100
