=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Architecture: any
 Depends: libg2c0d ( = ${binary:Version}), ${misc:Depends}
 Breaks: libgrib2c-dev
-Replaces: libgrib2d-dev
+Replaces: libgrib2c-dev
 Multi-Arch: same
 Recommends: pkg-config
 Description: NCEP GRIB2 library - development files
