=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,24 @@
 %:
 	dh $@ --buildsystem=cmake --builddirectory=debian/build
 
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+  export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
+endif
+
 DESTDIR:=$(CURDIR)/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -I $(CURDIR)/debian/build/src 
+
 
 export DH_VERBOSE=1
 
 override_dh_auto_configure:
 	dh_auto_configure  -- \
+		-DCMAKE_C_CFLAGS="${CFLAGS}" \
 		-DUSE_Jasper=OFF \
 		-DUSE_OpenJPEG=On \
-		-DENABLE_DOCS=On
+		-DENABLE_DOCS=Off
 
 
 override_dh_auto_install:
